<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~~~~~~licensing~~~~~~
  karaf-features
  ==========
  Copyright (C) 2020 - 2021 EmDev LLC
  ==========
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
       http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  ~~~~~~/licensing~~~~~~
  -->


<features name="karaf-entaxy-${project.version}"
          xmlns="http://karaf.apache.org/xmlns/features/v1.3.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://karaf.apache.org/xmlns/features/v1.3.0 http://karaf.apache.org/xmlns/features/v1.3.0">

    <repository>mvn:org.apache.camel.karaf/apache-camel/${camel.version}/xml/features</repository>
    <repository>mvn:org.apache.activemq/artemis-features/${activemq.version}/xml/features</repository>
    <repository>mvn:org.hibernate/hibernate-osgi/${hibernate.version}/xml/karaf</repository>
    <repository>mvn:org.apache.karaf.cellar/apache-karaf-cellar/${cellar.version}/xml/features</repository>
    <repository>mvn:org.apache.ignite/ignite-osgi-karaf/${ignite.version}/xml/features</repository>

    <feature name="karaf-camel-common" version="${project.version}">
        <feature prerequisite="true">aries-blueprint</feature>
        <feature>cxf</feature>
        <feature>camel</feature>
        <feature>camel-blueprint</feature>
        <feature>camel-jaxb</feature>
        <feature>camel-cxf</feature>
        <feature>camel-amqp</feature>
        <feature>camel-core</feature>
        <feature>camel-http</feature>
        <bundle>mvn:ru.entaxy.esb.system/component-bean-fix/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.apache.aries.blueprint.NamespaceHandler;osgi.service.blueprint.namespace=http://camel.apache.org/schema/blueprint;effective:=active;
        </capability>
    </feature>

    <feature name="system-entaxy-jms" version="${project.version}">
        <feature>artemis-jms-client</feature>
        <feature>camel-jms</feature>
        <bundle>mvn:org.messaginghub/pooled-jms/1.0.6</bundle>
        <bundle>mvn:org.apache.commons/commons-pool2/2.6.2</bundle>
    </feature>

    <feature name="system-entaxy-db" version="${project.version}">
        <feature>hibernate</feature>
        <feature>jdbc</feature>
        <feature>pax-jdbc-pool-dbcp2</feature>
        <feature>jndi</feature>
        <feature>spring-jdbc</feature>
        <feature version="[2,3)">jpa</feature>
        <bundle>wrap:mvn:org.postgresql/postgresql/${postgresql.version}</bundle>
        <bundle>wrap:mvn:com.microsoft.sqlserver/mssql-jdbc/${mssql.version}</bundle>

        <configfile finalname="${karaf.etc}/org.ops4j.datasource-entaxy.esb.cache.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/datasource-cache
        </configfile>
        <configfile finalname="${karaf.etc}/org.ops4j.datasource-entaxy.esb.storage.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/datasource-storage
        </configfile>
    </feature>

    <feature name="error-handler" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.core/error-handler/${project.version}</bundle>

        <configfile finalname="${karaf.etc}/ru.entaxy.esb.error.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.error
        </configfile>
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.error.code.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.error.code
        </configfile>
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.error.text.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.error.text
        </configfile>
    </feature>

    <feature name="entaxy-common" version="${project.version}">
        <configfile finalname="${karaf.etc}/jre.properties" override="true">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/properties/jre
        </configfile>

        <feature version="${project.version}">karaf-camel-common</feature>
        <feature version="${project.version}">system-entaxy-db</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>
        <feature dependency="true">ignite-core</feature>

        <bundle>mvn:org.apache.ignite/ignite-jcl/${ignite.version}</bundle>
        <feature>camel-ignite</feature>
        <feature>camel-sql</feature>

        <feature version="${project.version}">entaxy-esb-api</feature>
    </feature>

    <feature name="system-maven" version="${project.version}">
        <bundle>mvn:org.eclipse.aether/aether-transport-http/1.1.0</bundle>
        <bundle>mvn:org.eclipse.aether/aether-transport-file/1.1.0</bundle>
        <bundle>mvn:org.eclipse.aether/aether-connector-basic/1.1.0</bundle>
        <bundle>mvn:org.eclipse.aether/aether-impl/1.1.0</bundle>
        <bundle>wrap:mvn:org.apache.maven/maven-aether-provider/3.3.9</bundle>
    </feature>

    <feature name="system-common" version="${project.version}">
        <feature dependency="true">aries-blueprint</feature>
        <feature version="${project.version}">karaf-camel-common</feature>
        <feature version="${project.version}">system-entaxy-db</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>
        
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb
        </configfile>
    </feature>

    <feature name="entaxy-esb-api" version="${project.version}">
        <feature version="${cellar.version}">cellar</feature>
        <feature version="${project.version}">bundle-service</feature>
        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">entaxy-common</feature>
        <feature>camel-gson</feature>
        <bundle>mvn:ru.entaxy.esb.system.core/template/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.commons/system-commons/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.core.dispatcher/dispatcher/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.profile.commons/profile-commons/${project.version}</bundle>

        <bundle>mvn:ru.entaxy.esb.system.registry.connector/connector-impl/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.connector/connector-api/${project.version}</bundle>
        <feature version="${project.version}">system-api</feature>
        <feature version="${project.version}">nexus-deployer</feature>
        <feature version="${project.version}">file-system-deployer</feature>
        <feature version="${project.version}">cellar-deployer</feature>

        <feature version="${project.version}">blueprint-generator</feature>
<!--        <feature version="${project.version}">file-connector</feature>-->

        <bundle>mvn:ru.entaxy.esb.system.management.bundle.manager/bundle-manager/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.management.connector.manager/connector-manager/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.management.bridge.profile.manager/bridge-profile-manager/${project.version}
        </bundle>
        <bundle>mvn:ru.entaxy.esb.system.management.profile.manager/profile-manager/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.management.route.manager/route-manager/${project.version}</bundle>
        <feature version="${project.version}">system-management</feature>

        <feature version="${project.version}">schema</feature>
    </feature>

    <feature name="file-system-deployer" version="${project.version}">
        <feature>camel-blueprint</feature>
        <bundle>mvn:ru.entaxy.esb.system.deployer/deployer-api/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.deployer/file-system-deployer/${project.version}</bundle>
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.deployer.file.system.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.deployer.file.system
        </configfile>
    </feature>

    <feature name="nexus-deployer" version="${project.version}">
        <bundle>mvn:org.eclipse.aether/aether-api/${aether.version}</bundle>
        <feature>camel-http</feature>
        <feature>camel-cxf</feature>
        <bundle>mvn:ru.entaxy.esb.system.deployer/deployer-api/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.deployer/nexus-deployer/${project.version}</bundle>
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.deployer.nexus.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.deployer.nexus
        </configfile>
    </feature>

    <feature name="cellar-deployer" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.deployer/cellar-deployer/${project.version}</bundle>
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.deployer.cellar.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.deployer.cellar
        </configfile>
    </feature>

    <feature name="blueprint-generator" version="${project.version}">
        <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.freemarker/2.3.29_1</bundle>
        <bundle>mvn:ru.entaxy.esb.system.management.blueprint.generator/blueprint-generator/${project.version}</bundle>
    </feature>

    <feature name="bundle-service" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.management.bundle.jpa/bundle-service/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="system-management" version="${project.version}">
    	<configfile finalname="${karaf.etc}/ru.entaxy.esb.system.management.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.management
        </configfile>
        <bundle>mvn:ru.entaxy.esb.system.management/system-management-api/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="profile-commons" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.core.dispatcher/dispatcher/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.profile.commons/profile-commons/${project.version}</bundle>
    </feature>

    <feature name="liquibase-updater" version="${project.version}">
        <feature version="${project.version}">karaf-camel-common</feature>
        <feature version="${project.version}">system-entaxy-db</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>

        <bundle>mvn:org.liquibase/liquibase-core/${liquibase.version}</bundle>

        <bundle>mvn:ru.entaxy.esb.platform.runtime.core.initializer.storage.initializer/liquibase-updater/${project.version}</bundle>
        <feature version="${project.version}">storage-cache</feature>
        <feature version="${project.version}">storage-esb_entaxy</feature>
    </feature>

    <feature name="storage-cache" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.platform.runtime.core.initializer.storage.initializer/storage-cache/${project.version}</bundle>
        <capability>
            osgi.service;effective:=active;objectClass=javax.sql.DataSource;osgi.jndi.service.name=entaxy.esb.cache;
        </capability>
        <capability>
            osgi.service;objectClass=javax.sql.DataSource;osgi.jndi.service.name=entaxy.esb.cache-connector;
        </capability>
    </feature>

    <feature name="storage-esb_entaxy" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.platform.runtime.core.initializer.storage.initializer/storage-esb_entaxy/${project.version}</bundle>
        <capability>
            osgi.service;effective:=active;objectClass=javax.sql.DataSource;osgi.jndi.service.name=entaxy.esb.storage;
        </capability>
    </feature>

    <feature name="system-profile" version="${project.version}">
        <feature version="${project.version}">profile-commons</feature>

        <bundle>mvn:ru.entaxy.esb.system.registry.systems.profile/system-profile-api/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.systems.profile/system-profile-collector/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.systems.profile/system-profile-impl-default/${project.version}
        </bundle>
    </feature>

    <feature name="system-api" version="${project.version}">
        <feature version="${project.version}">system-entaxy-db</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>
        <feature version="${project.version}">bundle-service</feature>
        <feature version="${project.version}">permission-api</feature>

        <bundle>mvn:ru.entaxy.esb.system.commons/system-commons/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.connector/connector-api/${project.version}</bundle>

        <bundle>mvn:ru.entaxy.esb.system.registry.systems/system-api/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.systems/system-impl/${project.version}</bundle>

        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="system-registry" version="${project.version}">
        <feature version="${project.version}">karaf-camel-common</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>

        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">system-profile</feature>
        <bundle>mvn:ru.entaxy.esb.system.registry.systems/system-component/${project.version}</bundle>

        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="system-group-profile" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.registry.system-groups.profile/system-group-profile-api/${project.version}
        </bundle>
        <bundle>
            mvn:ru.entaxy.esb.system.registry.system-groups.profile/system-group-profile-collector/${project.version}
        </bundle>
        <bundle>
            mvn:ru.entaxy.esb.system.registry.system-groups.profile/system-group-profile-impl-default/${project.version}
        </bundle>
    </feature>

    <feature name="system-group-registry" version="${project.version}">
        <feature version="${project.version}">karaf-camel-common</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>

        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">system-group-profile</feature>
        <bundle>mvn:ru.entaxy.esb.system.registry.system-groups/system-group-component/${project.version}</bundle>
    </feature>

    <feature name="basic-auth" version="${project.version}">
        <feature version="${project.version}">karaf-camel-common</feature>
        <feature version="${project.version}">liquibase-updater</feature>
        <bundle>mvn:commons-codec/commons-codec/${commons-codec.version}</bundle>

        <configfile finalname="${karaf.etc}/ru.entaxy.esb.system.basic_auth.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.basic_auth
        </configfile>
        <configfile finalname="${karaf.etc}/ru.entaxy.esb.system.basic_auth.htpasswd.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.basic_auth.htpasswd
        </configfile>

        <bundle>mvn:ru.entaxy.esb.system.auth.basic.api/basic-auth-api/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.auth.basic.impl/basic-auth-impl/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.auth.basic.htpasswd/htpasswd/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.auth.basic/basic-auth-soap/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="events" version="${project.version}">
        <feature version="${project.version}">events-impl</feature>
        <feature version="${project.version}">events-rest</feature>
        <feature version="${project.version}">events-handler</feature>
    </feature>

    <feature name="events-common" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.core.events/events-common/${project.version}</bundle>
    </feature>

    <feature name="events-rest" version="${project.version}">
        <feature version="${cellar.version}">cellar</feature>
        <feature version="${cellar.version}">cellar-eventadmin</feature>
        <feature>camel-eventadmin</feature>
        <feature version="${project.version}">karaf-camel-common</feature>
        <feature>camel-jsonpath</feature>
        <feature>camel-gson</feature>
        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">error-handler</feature>
        <feature version="${project.version}">system-registry</feature>

        <feature version="${project.version}">system-api</feature>

        <feature version="${project.version}">events-api</feature>
        <feature version="${project.version}">basic-auth</feature>
        <feature version="${project.version}">events-common</feature>

        <feature version="${project.version}">permission-impl</feature>
        <feature version="${project.version}">permission-handler</feature>
        <feature version="${project.version}">permission-component</feature>

        <bundle>mvn:ru.entaxy.esb.system.commons/system-commons/${project.version}</bundle>

        <configfile finalname="${karaf.etc}/ru.entaxy.esb.system.event.rest.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.event.rest
        </configfile>

        <bundle>mvn:ru.entaxy.esb.system.core.events/events-rest/${project.version}</bundle>
    </feature>

    <feature name="events-api" version="${project.version}">
        <feature version="${project.version}">system-entaxy-db</feature>

        <feature version="${project.version}">events-common</feature>

        <bundle>mvn:ru.entaxy.esb.system.core.events/events-api/${project.version}</bundle>
    </feature>

    <feature name="events-impl" version="${project.version}">
        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">events-api</feature>

        <feature version="${project.version}">events-common</feature>

        <bundle>mvn:ru.entaxy.esb.system.core.events/events-impl/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="events-handler" version="${project.version}">
        <feature>camel-ognl</feature>
        <feature>camel-gson</feature>
        <feature>camel-quartz</feature>
        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">events-api</feature>

        <feature version="${project.version}">events-common</feature>

        <configfile finalname="${karaf.etc}/ru.entaxy.esb.system.event.handler.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.event.handler
        </configfile>

        <bundle>mvn:ru.entaxy.esb.system.core.events/events-handler/${project.version}</bundle>

        <capability>
            osgi.service;effective:=active;objectClass=javax.sql.DataSource;osgi.jndi.service.name=entaxy.esb.cache;
        </capability>
    </feature>

    <feature name="permission" version="${project.version}">
        <feature version="${project.version}">permission-impl</feature>
        <feature version="${project.version}">permission-handler</feature>
        <feature version="${project.version}">permission-component</feature>
        <feature version="${project.version}">permission-soap</feature>
        <feature version="${project.version}">permission-manager</feature>
    </feature>

    <feature name="permission-common" version="${project.version}">
        <bundle>mvn:ru.entaxy.esb.system.core.permission/permission-common/${project.version}</bundle>
    </feature>

    <feature name="permission-api" version="${project.version}">
        <feature version="${project.version}">system-entaxy-db</feature>

        <bundle>mvn:ru.entaxy.esb.system.core.permission/permission-api/${project.version}</bundle>
    </feature>

    <feature name="permission-impl" version="${project.version}">
        <feature version="${project.version}">liquibase-updater</feature>
        <feature version="${project.version}">system-entaxy-db</feature>
        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">permission-api</feature>

        <feature version="${project.version}">permission-common</feature>

        <bundle>mvn:ru.entaxy.esb.system.core.permission/permission-impl/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="permission-handler" version="${project.version}">
        <feature>camel-ognl</feature>
        <feature version="${project.version}">system-entaxy-jms</feature>
        <feature version="${project.version}">system-common</feature>
        <feature version="${project.version}">permission-impl</feature>

        <feature version="${project.version}">permission-common</feature>

        <!--         <configfile finalname="${karaf.etc}/ru.entaxy.esb.system.event.handler.cfg" override="false">mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.event.handler</configfile> -->

        <bundle>mvn:ru.entaxy.esb.system.core.permission/permission-handler/${project.version}</bundle>
    </feature>

    <feature name="permission-manager" version="${project.version}">
        <feature version="${project.version}">permission-component</feature>

        <bundle>mvn:ru.entaxy.esb.system.management.permission.manager/permission-manager/${project.version}</bundle>
    </feature>

    <feature name="permission-component" version="${project.version}">
        <feature version="${project.version}">system-common</feature>
        <feature>camel-gson</feature>
        <feature version="${project.version}">permission-common</feature>
        <feature version="${project.version}">permission-impl</feature>
        <feature version="${project.version}">system-api</feature>
        <bundle>mvn:ru.entaxy.esb.system.commons/system-commons/${project.version}</bundle>

        <bundle>mvn:ru.entaxy.esb.system.core.permission/permission-component/${project.version}</bundle>
    </feature>

    <feature name="permission-soap" version="${project.version}">
        <feature version="${project.version}">basic-auth</feature>
        <feature version="${project.version}">karaf-camel-common</feature>

        <bundle>mvn:ru.entaxy.esb.system.core.permission/permission-soap/${project.version}</bundle>
    </feature>

    <feature name="schema" version="${project.version}">
        <feature version="${project.version}">system-entaxy-db</feature>
		
		<configfile finalname="${karaf.etc}/ru.entaxy.esb.system.schema.cfg" override="false">
            mvn:ru.entaxy.esb/karaf-features/${project.version}/cfg/ru.entaxy.esb.system.schema
        </configfile>
		
        <bundle>mvn:ru.entaxy.esb.system.registry.schema/schema-api/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.schema/schema-impl/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.schema/schema-soap/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.system.registry.schema/schema-component/${project.version}</bundle>
        <capability>
            osgi.service;objectClass=org.hibernate.SessionFactory;effective:=active;
        </capability>
    </feature>

    <feature name="entaxy-service" version="${project.version}">
        <feature version="${project.version}">basic-auth</feature>
        <feature version="${project.version}">permission</feature>
        <feature version="${project.version}">entaxy-esb-api</feature>
        <feature version="${project.version}">system-registry</feature>
        <feature version="${project.version}">system-group-registry</feature>
        <feature version="${project.version}">events</feature>
    </feature>

    <feature name="entaxy-all" version="${project.version}">
        <configfile finalname="${karaf.etc}/branding.properties" override="true">
            mvn:ru.entaxy.esb.platform.runtime.base/branding/${project.version}/properties/branding
        </configfile>

        <feature version="${project.version}">entaxy-service</feature>
    </feature>

</features>
